Class | Rake::TaskArguments
In: | lib/rake.rb
Parent: | Object

TaskAguments manage the arguments passed to a task.

### Methods

[] each inspect lookup method_missing new new_scope to_hash to_s with_defaults

### Included Modules

Enumerable

### Attributes

names | [R] |

### Public Class methods

new(names, values, parent=nil)

Create a TaskArgument object with a list of named arguments (given by :names) and a set of associated values (given by :values). :parent is the parent argument object.

### Public Instance methods

[](index)

Find an argument value by name or index.

each(&block)
inspect()
method_missing(sym, *args, &block)
new_scope(names)

Create a new argument scope using the prerequisite argument names.

to_hash()
to_s()
with_defaults(defaults)

Specify a hash of default values for task arguments. Use the defaults only if there is no specific value for the given argument.

### Protected Instance methods

lookup(name)

[Validate]